KCompletionMatches Class Reference

`#include <kcompletion.h>`

Inheritance diagram for KCompletionMatches:

## Public Member Functions

| KCompletionMatches (bool sort)
| KCompletionMatches (const KCompletionMatchesWrapper &matches)
void | removeDuplicates ()
QStringList | list (bool sort=true) const
bool | sorting () const
Public Member Functions inherited from KSortableValueList< T, Key >
void | insert (Key i, const T &t)
T & | operator[] (Key i)
const T & | operator[] (Key i) const
void | sort ()

## Detailed Description

This structure is returned by KCompletion::allWeightedMatches .

It also keeps the weight of the matches, allowing you to modify some matches or merge them with matches from another call to allWeightedMatches(), and sort the matches after that in order to have the matches ordered correctly

Example (a simplified example of what Konqueror's completion does):

KCompletionMatches matches = completion->allWeightedMatches( location );
if( !location.startsWith( "www." ))
matches += completion->allWeightedmatches( "www." + location" );
matches.removeDuplicates();
QStringList list = matches.list();

List for keeping matches returned from KCompletion

Definition at line 615 of file kcompletion.h.

## Member Function Documentation

QStringList KCompletionMatches::list | ( | bool | sort = `true` | ) | const

Returns the matches as a QStringList.

Parameters

  sort | if false, the matches won't be sorted before the conversion, use only if you're sure the sorting is not needed

Returns
  the list of matches

Definition at line 786 of file kcompletion.cpp.

void KCompletionMatches::removeDuplicates | ( |  | ) |

Removes duplicate matches.

Needed only when you merged several matches results and there's a possibility of duplicates.

Definition at line 797 of file kcompletion.cpp.

bool KCompletionMatches::sorting | ( |  | ) | const

inline

If sorting() returns false, the matches aren't sorted by their weight, even if true is passed to list().

Returns
  true if the matches won't be sorted

Definition at line 641 of file kcompletion.h.

The documentation for this class was generated from the following files:

- kcompletion.h
- kcompletion.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys